<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/suspend.php';

$database = new Database();
$db = $database->getConnection();
 
$suspend = new Suspend($db);
$data = json_decode(file_get_contents("php://input"));

$suspend->city = $data->city;

$stmt = $suspend->getAllRows();
$num = $stmt->rowCount();

$arr=array();
$arr["records"]=array();
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $detail = array(
			"id" => $id,
			"city" => $city,
            "suspend_date" => $suspend_date,
            "unsuspend_date" => $unsuspend_date,
			"id_no" => $id_no,
            "name" => $name,
            "phone" => $phone,
	        "remark" => $remark,
	        "days" => $days,
            "invoice_no" => $invoice_no
        );
        array_push($arr["records"], $detail);
    }
}
echo json_encode($arr);
?>